table "benchmark.txt"

size 800 480

#title "low/high N, steps 0-10/50-60"
xlabel "elements"
ylabel "CPU time per step (ms)"
x0 0
y0 -2000

plot {
	name "linear kd-tree"
	pattern "none"
	x { col 0 rows 0+ }
	y { col 1 rows 0+ }
	ystddev { col 2 rows 0+ }
}

plot {
	name "quadratic"
	pattern "none"
	x { col 0 rows 0+ }
	y { col 3 rows 0+ }
	ystddev { col 4 rows 0+ }
}

plot {
	name "sweep and prune"
	pattern "none"
	x { col 0 rows 0+ }
	y { col 5 rows 0+ }
	ystddev { col 6 rows 0+ }
}

plot {
	name "Delaunay triangulation"
	pattern "none"
	x { col 0 rows 0+ }
	y { col 7 rows 0+ }
	ystddev { col 8 rows 0+ }
}

