/*
    This file is part of the lin-kd-tree library.
    Copyright (C) 2009  Laurent Poirrier

    The lin-kd-tree library is free software: you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation, version 3 of the License.

    The lin-kd-tree library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
    General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __OCTREE_QUICKSORT_H
#define __OCTREE_QUICKSORT_H
#include "kd-tree.h"
#include "array.h"

/*
  The octree quicksort functions implement quicksort of an array
  of octree_objects, based on node paths.
*/
void kdtree_quicksort(kdtree_object *tree, int left, int right);


#endif


